Skip to main content
GET
Get expense report

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

expenseReportId
string
required

Id of the expense report. UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$

Query Parameters

include
enum<string>[]

Optional properties to include. Expense records optional data can be included by extending the expenseRecords include keyword with the available optional parameters from the List expenses endpoint. E.g. expenseRecords.verification, expenseRecords.meta.abbreviation, expenseRecords.meta.splits etc.

Response

OK

comment
string
dateCreated
string
read-only
emailRecipients
string
expenseRecords
object[]
id
string
lastUpdated
string
meta
object
name
string
organizationId
string

UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
personId
string

UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
previewUrl
string
read-only
reportNumber
string
sent
string
read-only
status
enum<string>
read-only
Available options:
APPROVAL,
APPROVED,
READY_TO_SEND,
BULK_TRANSFER,
ERROR,
NEW,
NORMAL,
PAID,
REJECTED,
SEND,
SENT,
TRANSFER,
TRANSFER_TO_RECIPIENT
processStatus
enum<string>
read-only
Available options:
DRAFT,
PROCESSING,
PROCESSED,
REJECTED
reimbursement
number
read-only
reimbursementCurrency
string
read-only
approvalChainId
string
read-only
type
enum<string>
read-only
Available options:
AUTOMATIC,
MANUAL,
COMPANY_CARD
customFields
object[]
Last modified on August 31, 2026